package org.dromara.settlement.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.settlement.api.domain.Account;
import org.dromara.settlement.api.domain.AccountSyn;

public interface AccountMapper extends BaseMapperPlus<Account, Integer> {
    int insertSelective(Account record);

    int updateByPrimaryKeySelective(Account record);

    public Account selectByPrimaryKey(Integer id);
	/**
	 * 银行账户加锁
	 * @author 张涛
	 * @date 2021年9月6日
	 * @param accId 银行账户id
	 * @return
	 */
	public Integer lock(@Param("accId") int accId);

	/**
	 * 查询银行账户
	 * @author 张涛
	 * @date 2021年9月15日
	 * @param bankCard 账户卡号
	 * @param bankType 银行类型
	 * @return
	 */
	public Account selectByCardAndType(@Param("bankCard") String bankCard,@Param("bankType") String bankType);

	/**
	 * 根据协议编号查询银行账户
	 * @author 张涛
	 * @date 2022年8月30日
	 * @param unitId
	 * @param bankType
	 * @param bankArgNo
	 * @return
	 */
	public Account selectByArgNoAndType(@Param("unitId") long unitId,@Param("bankType") String bankType,@Param("bankArgNo") String bankArgNo);
}
